
/***** USBN960xWX^ *****/

#define	MCNTRL		0x00		/* Main Control Register */
#define	CCONF		0x01		/* Clock Configuration Register */
#define	RID			0x03		/* Revision Identifier */
#define	FAR			0x04		/* Function Address Register */
#define	NFSR		0x05		/* Node Function State Register */
#define	MAEV		0x06		/* Main Event Register */
#define	MAMSK		0x07		/* Main Mask Register */
#define	ALTEV		0x08		/* Alternate Event Register */
#define	ALTMSK		0x09		/* Alternate Mask Register */
#define	TXEV		0x0a		/* Transmit Event Register */
#define	TXMSK		0x0b		/* Transmit Mask Register */
#define	RXEV		0x0c		/* Receive Event Register */
#define	RXMSK		0x0d		/* Receive Mask Register */
#define	NAKEV		0x0e		/* NAK Event Register */
#define	NAKMSK		0x0f		/* NAK Mask Register */
#define	FWEV		0x10		/* FIFO Warning Event Register */
#define	FWMSK		0x11		/* FIFO Warning Mask Register */
#define	FNH			0x12		/* Frame Number Register High Byte */
#define	FNL			0x13		/* Frame Number Register Low Byte */
#define	DMACNTRL	0x14		/* DMA Control Register */

#define	EPC0		0x20		/* Endpoint Control Register 0 */
#define	TXD0		0x21		/* Transmit Data Register 0 */
#define	TXS0		0x22		/* Transmit Status Register 0 */
#define	TXC0		0x23		/* Transmit Command Register 0 */
#define	RXD0		0x25		/* Receive Data Register 0 */
#define	RXS0		0x26		/* Receive Status Register 0 */
#define	RXC0		0x27		/* Receive Command Register 0 */

#define	EPC1		0x28		/* Endpoint Control Registr 1 */
#define	TXD1		0x29		/* Transmit Data Register 1 */
#define	TXS1		0x2a		/* Transmit Status Register 1 */
#define	TXC1		0x2b		/* Transmit Command Register 1 */

#define	EPC2		0x2c		/* Endpoint Control Register 2 */
#define	RXD1		0x2d		/* Receive Data Register 1 */
#define	RXS1		0x2e		/* Receive Status Register 1 */
#define	RXC1		0x2f		/* Receive Command Register 1 */

#define	EPC3		0x30		/* Endpoint Control Register 3 */
#define	TXD2		0x31		/* Transmit Data Register 2 */
#define	TXS2		0x32		/* Transmit Status Register 2 */
#define	TXC2		0x33		/* Transmit Command Register 2 */

#define	EPC4		0x34		/* Endoint Control Register 4 */
#define	RXD2		0x35		/* Receive Data Register 2 */
#define	RXS2		0x36		/* Receive Status Register 2 */
#define	RXC2		0x37		/* Receive Command Register 2 */

#define	EPC5		0x38		/* Endpoint Control Register 5 */
#define	TXD3		0x39		/* Transmit Data Register 3 */
#define	TXS3		0x3a		/* Transmit Status Register 3 */
#define	TXC3		0x3b		/* Transmit Command Register 3 */

#define	EPC6		0x3c		/* Endpoint Control Register 6 */
#define	RXD3		0x3d		/* Receive Data Register 3 */
#define	RXS3		0x3e		/* Receive Status Register 3 */
#define	RXC3		0x3f		/* Receive Command Register 3 */

