/***************************************************************
	CPU UART VAR\[o̓hCo(V850UARTp)
***************************************************************/

/* CPU UARTo̓wb_ */
#include "cpu_uart.h"

/* UARTRg[ */
//#define UAxBase		0xFFFFFA00		/* `l0 */
//#define UAxBase		0xFFFFFA10		/* `l1 */
#define UAxBase		0xFFFFFA20			/* `l2 */
#define UAxCTL0		((volatile unsigned char  *)(UAxBase+0))
#define UAxCTL1		((volatile unsigned char  *)(UAxBase+1))
#define UAxCTL2		((volatile unsigned char  *)(UAxBase+2))
#define UAxOPT0		((volatile unsigned char  *)(UAxBase+3))
#define UAxSTR		((volatile unsigned char  *)(UAxBase+4))
#define UAxRX		((volatile unsigned char  *)(UAxBase+6))
#define UAxTX		((volatile unsigned char  *)(UAxBase+7))
//#define UAxRIC	((volatile unsigned char  *)(0xFFFFF162))	/* `l0 */
//#define UAxRIC	((volatile unsigned char  *)(0xFFFFF166))	/* `l1 */
#define UAxRIC		((volatile unsigned char  *)(0xFFFFF16A))	/* `l2 */

/* |[gRg[ */
#define PMC3		((volatile unsigned short *)0xFFFFF446)
#define PFC3		((volatile unsigned short *)0xFFFFF466)


/* R\[pUART */
void CPU_UartInitialize(void)
{
	/* VA`l2I */
	*PMC3 =(*PMC3 | 0x0300);	/* RXDA2/TXDA2I */
	*PFC3 =(*PFC3 & ~(0x0300));	/* RXDA2/TXDA2I */

	/* UARTݒ */
	*UAxCTL0=0;		/* UARTZbg */
	*UAxCTL1=0x01;	/* ʐMx 38400bps */
	*UAxCTL2=0x82;
	*UAxCTL0=0x92;	/* UARTZbg peBȂ f[^8rbg Xgbvrbg1rbg */
	*UAxCTL0=0xF2;	/* M */

	*UAxRIC =0x40;	/* 荞݋֎~(ۗ) */
}

/* R\[1o */
void CPU_UartPutch(unsigned char data)
{
	while(1){
		if( (*UAxSTR&0x80)==0 ) {
			*UAxTX = (unsigned long)data;
			break;
		}
	}
}

/* R\[o(\n CR+LFo) */
void CPU_UartPuts(unsigned char *buffer)
{
	unsigned char data;
	while( (data=*(buffer++)) != 0){	/* null܂ŏo */
		if (data == 0x0a) {
			CPU_UartPutch(0x0d);	/* CRo */
			CPU_UartPutch(0x0a);	/* LFo */
		} else {
			CPU_UartPutch(data);	/* 1o */
		}
	}
}

/* R\[o(񒷂wt/\n CR+LFo) */
void CPU_UartPutsL(unsigned char *buffer, int len)
{
	int i;
	unsigned char data;
	for(i=0;i<len;i++){
		data=*(buffer++);
		if (data == 0x0a) {
			CPU_UartPutch(0x0d);	/* CRo */
			CPU_UartPutch(0x0a);	/* LFo */
		} else {
			CPU_UartPutch(data);	/* 1o */
		}
	}
}

/* R\[̓obt@`FbN */
int CPU_UartRecvCheck(void)
{
	if (*UAxRIC&0x80) {	/* f[^M */
		return 1;		/* Mf[^ */
	} else {
		return 0;		/* Mf[^Ȃ */
	}
}

/* R\[1(GR[obNȂ) */
unsigned char CPU_UartGetch(void)
{
	unsigned char data;
	while(1){
		if (CPU_UartRecvCheck()) {	/* f[^M */
			*UAxRIC =0x40;		/* 荞ݗvrbgNA */
			data= (unsigned char)*UAxRX;
			break;
		}
	}
	return data;
}

/* R\[(CRR[h܂/ő255/GR[obN) */
int CPU_UartGets(unsigned char *buffer)
{
	unsigned char data;
	int	i;
	i=0;
	while(1){
		data=CPU_UartGetch();	/* 1 */
		*buffer=data;
		CPU_UartPutch(data);	/* 1o(GR[obN) */
		buffer++;
		i++;
		if (i>255) break;		/* ő啶ɒB */
		if (data==0x0d) break;	/* CRR[h܂ŎM */
	}
	*buffer=(char)0;			/* nullR[h */
	return i;					/* ͕ */
}

